<script setup>
// TODO: add slots tag for flexibility
import ButtonRounded from '@/component/ButtonRounded.vue'
import { RouterLink } from 'vue-router'
import { Icon } from '@iconify/vue'
</script>

<template>
  <RouterLink to="#" class="account-status-card">
    <div class="account-status-card__top">
      <div class="account-infos">
        <div class="account-infos__rounded-avatar">
          J
        </div>
        <h4 class="account-infos__username">
          John Doe
        </h4>
      </div>
      <ButtonRounded>
        <Icon icon="mdi:logout-variant" width="16px" height="16px" />
      </ButtonRounded>
    </div>
    <span class="account-status-card__bot">
      <div class="loading-bar-storage">
        <div class="loading-bar-storage__fill"></div>
      </div>
      <p>350Mo/1Go</p>
    </span>
  </RouterLink>
</template>

<style lang="scss" scoped>
  .account-status-card {
    color: $complementary-white;
    display: flex;
    flex-direction: column;
    padding: 1rem;
    border-radius: 8px;
    gap: 1rem;
    background-color: $complementary-white-5;
    &__top {
      display: flex;
      justify-content: space-between;
      align-items: center;
      svg {
        display: block;
        margin: 0;
        color: $complementary-white-25;
      }
    }
    &__bot {
      display: flex;
      justify-content: space-between;
      align-items: center;
      gap: 8px;
      p {
        font-size: 8px;
      }
    }
    &:hover {
      box-shadow: 0 0 2px 1px $complementary-white-25;
    }
  }

  .account-infos {
    display: flex;
    align-items: center;
    gap: 1rem;
    &__rounded-avatar {
      display: flex;
      align-items: center;
      justify-content: center;
      height: 2rem;
      width: 2rem;
      background-color: $secondary-green;
      border-radius: 50%;
    }
    &__username {
      overflow: hidden;
    }
  }

  .loading-bar-storage {
    width: clamp(12rem, 100%, 25rem);
    height: 4px;
    border-radius: 4px;
    background-color: $complementary-white-25;
    overflow: hidden;
    &__fill {
      height: 100%;
      width: 60%;
      background-color: $complementary-white;
    }
  }
</style>
